import bge
import math

def update(cont):
    own = cont.owner
    scene = bge.logic.getCurrentScene()
    dict = bge.logic.globalDict
    
    if 'inited' not in own:
        own['inited'] = True
    
    health = scene.objects['healthText']
    health.text = 'Health: ' + str(dict['health'])
    ammo = scene.objects['ammoText']
    ammo.text = 'Ammo: ' + str(dict['ammo'])
    clip = scene.objects['clipText']
    clip.text = 'Clip: ' + str(dict['clip']) + ' of 8'
    kills = scene.objects['killsText']
    kills.text = 'Kills: ' + str(dict['kills']) + ' of ' + str(dict['kill_goal'])    
    scene.objects['moneyText'].text = 'Money: ' + str(dict['money']) + ' of ' + str(dict['money_goal']) 
    num = int(dict['time'])
    scene.objects['timeText'].text = 'Time: ' + str(num) 

    
def arrow(cont):
    own = cont.owner
    scene = bge.logic.getCurrentScene()
    dict = bge.logic.globalDict
    
    if 'inited' not in own:
        own['inited'] = True

    try:			
        own.alignAxisToVect(dict['radarRot'][1], 2, .05)
    except Exception as e: print(e)
          
