import configobj
from configobj import ConfigObj
import bge


mainDir = bge.logic.expandPath("//")
fileName = mainDir + "highscores.txt"

config = ConfigObj(fileName, interpolation=True)
dict = bge.logic.globalDict

def to_dict(section, key):
    #print('todict', section, key)
    dict = bge.logic.globalDict
    value = int(config[key])
    dict[key] = value  


def from_dict(section, key):
    dict = bge.logic.globalDict
    config[key] = dict[key]

def load_highscores(cont):
    config.walk(to_dict)   

def write_highscores():
    config.walk(from_dict)
    config.write()

def update_scores():
    print('updating scores')
    dict = bge.logic.globalDict

    if dict['score'] < 0:
        dict['score'] = 0
    scene = bge.logic.getCurrentScene()
    txt = scene.objects['score']
    txt2 = scene.objects['high']
    
    txt.text = 'Your score is: ' + str(dict['score']) + '  The last high score was: ' + str(dict[dict['cur_level']])

    if dict['score'] > dict[dict['cur_level']]:
        print('new high score set')
        txt2.text = "New high score!"
        dict[dict['cur_level']] = dict['score']
        write_highscores()
    else:
        txt2.text = ''    
    
    